summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorRobin H. Johnson <robbat2@gentoo.org>2015-08-08 13:49:04 -0700
committerRobin H. Johnson <robbat2@gentoo.org>2015-08-08 17:38:18 -0700
commit56bd759df1d0c750a065b8c845e93d5dfa6b549d (patch)
tree3f91093cdb475e565ae857f1c5a7fd339e2d781e /sci-libs/cln
downloadgentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.gz
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.tar.bz2
gentoo-56bd759df1d0c750a065b8c845e93d5dfa6b549d.zip
proj/gentoo: Initial commit
This commit represents a new era for Gentoo: Storing the gentoo-x86 tree in Git, as converted from CVS. This commit is the start of the NEW history. Any historical data is intended to be grafted onto this point. Creation process: 1. Take final CVS checkout snapshot 2. Remove ALL ChangeLog* files 3. Transform all Manifests to thin 4. Remove empty Manifests 5. Convert all stale $Header$/$Id$ CVS keywords to non-expanded Git $Id$ 5.1. Do not touch files with -kb/-ko keyword flags. Signed-off-by: Robin H. Johnson <robbat2@gentoo.org> X-Thanks: Alec Warner <antarus@gentoo.org> - did the GSoC 2006 migration tests X-Thanks: Robin H. Johnson <robbat2@gentoo.org> - infra guy, herding this project X-Thanks: Nguyen Thai Ngoc Duy <pclouds@gentoo.org> - Former Gentoo developer, wrote Git features for the migration X-Thanks: Brian Harring <ferringb@gentoo.org> - wrote much python to improve cvs2svn X-Thanks: Rich Freeman <rich0@gentoo.org> - validation scripts X-Thanks: Patrick Lauer <patrick@gentoo.org> - Gentoo dev, running new 2014 work in migration X-Thanks: Michał Górny <mgorny@gentoo.org> - scripts, QA, nagging X-Thanks: All of other Gentoo developers - many ideas and lots of paint on the bikeshed
Diffstat (limited to 'sci-libs/cln')
-rw-r--r--sci-libs/cln/Manifest1
-rw-r--r--sci-libs/cln/cln-1.3.3.ebuild57
-rw-r--r--sci-libs/cln/files/cln-1.3.2-arm.patch13
-rw-r--r--sci-libs/cln/metadata.xml13
4 files changed, 84 insertions, 0 deletions
diff --git a/sci-libs/cln/Manifest b/sci-libs/cln/Manifest
new file mode 100644
index 00000000000..7577f003c70
--- /dev/null
+++ b/sci-libs/cln/Manifest
@@ -0,0 +1 @@
+DIST cln-1.3.3.tar.bz2 1300229 SHA256 57fc2ee3ecbb30d4037ff32a9a331804ea7dad8b345e70d42d9991ca659b2612 SHA512 ee829cd03a2d36215a4d4e76cc0aa6c5abe6ff967ed366d752da1dc0c47dbec56e0521e92fb35574c038305fb767991c5c7fd12ad03583080da3f923fbfecdaf WHIRLPOOL fac646fcb8622060917cbe08b232d412459e45f16c4bbe38cd6d1b7296bc259466eba28ddccb66ead435832ea45127e13b4fe0e2601a0f763487144c02e51eb0
diff --git a/sci-libs/cln/cln-1.3.3.ebuild b/sci-libs/cln/cln-1.3.3.ebuild
new file mode 100644
index 00000000000..fd6b7d52060
--- /dev/null
+++ b/sci-libs/cln/cln-1.3.3.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=5
+
+inherit autotools-utils flag-o-matic
+
+DESCRIPTION="Class library (C++) for numbers"
+HOMEPAGE="http://www.ginac.de/CLN/"
+SRC_URI="ftp://ftpthep.physik.uni-mainz.de/pub/gnu/${P}.tar.bz2"
+
+LICENSE="GPL-2"
+SLOT="1"
+KEYWORDS="alpha amd64 arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
+IUSE="doc examples static-libs"
+
+RDEPEND="dev-libs/gmp:0="
+DEPEND="${RDEPEND}
+ doc? ( virtual/latex-base )"
+
+PATCHES=( "${FILESDIR}"/${PN}-1.3.2-arm.patch )
+
+pkg_setup() {
+ use sparc && append-cppflags -DNO_ASM
+ use hppa && append-cppflags -DNO_ASM
+ use arm && append-cppflags -DNO_ASM
+}
+
+src_prepare() {
+ # avoid building examples
+ # do it in Makefile.in to avoid time consuming eautoreconf
+ sed -i \
+ -e '/^SUBDIRS.*=/s/examples doc benchmarks/doc/' \
+ Makefile.in || die
+ autotools-utils_src_prepare
+}
+
+src_compile() {
+ autotools-utils_src_compile
+ if use doc; then
+ cd "${BUILD_DIR}"
+ export VARTEXFONTS="${T}/fonts"
+ emake html pdf
+ DOCS=("${BUILD_DIR}/doc/cln.pdf")
+ HTML_DOCS=("${BUILD_DIR}/doc/")
+ fi
+}
+
+src_install () {
+ autotools-utils_src_install
+ if use examples; then
+ docompress -x /usr/share/doc/${PF}/examples
+ insinto /usr/share/doc/${PF}/examples
+ doins examples/*.cc
+ fi
+}
diff --git a/sci-libs/cln/files/cln-1.3.2-arm.patch b/sci-libs/cln/files/cln-1.3.2-arm.patch
new file mode 100644
index 00000000000..571bd24e68f
--- /dev/null
+++ b/sci-libs/cln/files/cln-1.3.2-arm.patch
@@ -0,0 +1,13 @@
+--- src/base/digitseq/cl_asm_arm_.cc 2009-05-10 16:32:30.000000000 -0400
++++ src/base/digitseq/cl_asm_arm_.cc.new 2009-12-29 09:03:02.161401990 -0500
+@@ -77,8 +77,8 @@
+ #else
+ #define DECLARE_FUNCTION(x)
+ #endif
+-#define GLABEL(x) _##x##:
+-#define LABEL(x) x##:
++#define GLABEL(x) _##x:
++#define LABEL(x) x:
+ #define RRX rrx
+ #define END
+
diff --git a/sci-libs/cln/metadata.xml b/sci-libs/cln/metadata.xml
new file mode 100644
index 00000000000..91b9559a615
--- /dev/null
+++ b/sci-libs/cln/metadata.xml
@@ -0,0 +1,13 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
+<pkgmetadata>
+ <herd>sci-mathematics</herd>
+ <longdescription lang="en">
+ A Class Library for Numbers is a library for computations with all
+ kinds of numbers in arbitrary precision. It has a set of number
+ classes, including integers (with unlimited precision), reals with
+ various precisions (including unlimited), rationals, complex numbers
+ and polynomials. The kernel is written in assembly language. It uses
+ automatic garbage collection.
+</longdescription>
+</pkgmetadata>